PluginAPI error on singleplayer

We've posted a status update with some first screenshots of the new terrain generation. There is also a new update available for the Java version!

  • PluginAPI error on singleplayer

    My singleplayer servers won't open anymore, as of at least a couple of days ago. I haven't tried since the last update, so I am not sure when exactly they stopped opening.

    My current PluginAPI is version 0.9.5.5, which is the most recent one I can find in these forums.

    I get the following error:

    Windows10 (x64) 10.0 Java: 1.8.0_131 amd64 0.9.5.7_39 -H:3072 -D:3072 (Steam)
    Intel(R)Core(TM) i5-4690 CPU @ 3.50GHz, H97M-G43(MS-7924), 8125 MB (3186 MBHeap)
    NVIDIAGeForce GTX 1060 3GB 20181010000000.000000-000 25.21.14.1634
    ______________________________________________________________________
    LoadingState:Error occurred while starting singleplayer game
    pluginapi.PluginException:No 'plugin.yml' definition file found for plugin "PluginAPI.jar"!
    Ifyou are the creator of this plugin, you have to put a proper'plugin.yml' file into the "resources" package
    atpluginapi.PluginLoader.loadPluginFromJar(SourceFile:221)
    atpluginapi.PluginLoader.loadPlugins(SourceFile:48)
    atpluginapi.PluginManager.initialize(SourceFile:79)
    atw.l.c(SourceFile:313)
    atw.l.a(SourceFile:179)
    atw.i.a(SourceFile:207)
    atjava.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    atjava.util.concurrent.FutureTask.run(Unknown Source)
    atjava.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(UnknownSource)
    atjava.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(UnknownSource)
    atjava.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    atjava.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    atjava.lang.Thread.run(Unknown Source)

    The post was edited 2 times, last by Batta ().

  • Batta wrote:

    My singleplayer servers won't open anymore, as of at least a couple of days ago. I haven't tried since the last update, so I am not sure when exactly they stopped opening.

    My current PluginAPI is version 0.9.5.5, which is the most recent one I can find in these forums.

    I get the following error:

    Windows10 (x64) 10.0 Java: 1.8.0_131 amd64 0.9.5.7_39 -H:3072 -D:3072 (Steam)
    Intel(R)Core(TM) i5-4690 CPU @ 3.50GHz, H97M-G43(MS-7924), 8125 MB (3186 MBHeap)
    NVIDIAGeForce GTX 1060 3GB 20181010000000.000000-000 25.21.14.1634
    ______________________________________________________________________
    LoadingState:Error occurred while starting singleplayer game
    pluginapi.PluginException:No 'plugin.yml' definition file found for plugin "PluginAPI.jar"!
    Ifyou are the creator of this plugin, you have to put a proper'plugin.yml' file into the "resources" package
    atpluginapi.PluginLoader.loadPluginFromJar(SourceFile:221)
    atpluginapi.PluginLoader.loadPlugins(SourceFile:48)
    atpluginapi.PluginManager.initialize(SourceFile:79)
    atw.l.c(SourceFile:313)
    atw.l.a(SourceFile:179)
    atw.i.a(SourceFile:207)
    atjava.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    atjava.util.concurrent.FutureTask.run(Unknown Source)
    atjava.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(UnknownSource)
    atjava.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(UnknownSource)
    atjava.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    atjava.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    atjava.lang.Thread.run(Unknown Source)


    Have you tried downloading the plugin API for 0.9.5.5 again as the messages indicate something is missing.

    If a new download still comes up with an error have you tried going back to 0.9.5.4 ?
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • DanielBoone wrote:

    Have you tried downloading the plugin API for 0.9.5.5 again as the messages indicate something is missing.

    If a new download still comes up with an error have you tried going back to 0.9.5.4 ?
    I did try reinstalling the 0.9.5.5.
    Now I am trying deleting the game entirely from my computer and starting fresh.
    I've played for years without error. Not sure why it's a problem now. I must be forgetting something.
  • I downloaded the API the other day for the mod I am working on....... just seen that for some reason I downloaded 0.9.5.4 from the top of the page.

    Just having a look at 0.9.5.5 now
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • What I did was to extract the PluginAPI to my Rising World folder (not the plugins folder). Tried running the singleplayer servers again and got the same message, even with a fresh install of everything.
    Next, I tried extracting the javadoc.zip file that appeared with the PluginAPI, but it didn't fix anything.

    Here's what my files look like, in case something looks obviously wrong to you. I used WinRAR to open the PluginAPI.jar, and just as the error message says, couldn't find a plugin.yml in there anywhere. However, I was getting this error even before I upgraded from the previous PluginAPI version, so I'm kind of lost as to how to fix this.

    Currently, I can't play singleplayer at all anymore.

    Rising World files.jpg
  • I was just having a look here at what Red said back in 2016 re the same error.....but with JavaLibrary5.jar instead of PluginAPI.jar

    forum.rising-world.net/thread/5332-plugin-yml/


    I would try the API for 0.9.5.4 and see if you get the error

    Do you have any plugins installed at the moment?
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • I noticed you had some additional folders in there that I don't have on my machine.

    eg

    Index-files
    Net
    Steam-Shader-Cache

    I assume this is something you have installed.

    When you do a clean install of RisingWorld , uninstalling from Steam and then deleting the folder, can you play the game before adding anything in.

    I also see additional files in there that I assume are from javadoc...... they dont need to be there. Before adding them in have you tested if you can play with just the vanilla game files in the folder and nothing else?

    This is what my folder looks like

    28th April 2019_02.jpg
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • Batta wrote:

    What I did was to extract the PluginAPI to my Rising World folder (not the plugins folder). Tried running the singleplayer servers again and got the same message, even with a fresh install of everything.
    Next, I tried extracting the javadoc.zip file that appeared with the PluginAPI, but it didn't fix anything.

    Here's what my files look like, in case something looks obviously wrong to you. I used WinRAR to open the PluginAPI.jar, and just as the error message says, couldn't find a plugin.yml in there anywhere. However, I was getting this error even before I upgraded from the previous PluginAPI version, so I'm kind of lost as to how to fix this.

    Currently, I can't play singleplayer at all anymore.

    Rising World files.jpg

    I just remembered after Red released the NPC update that I had problems with starting the game. I had to do a windows update to pick up a recent update..... once that happened Rising World played OK.

    You may want to check you have Windows Updated to date.
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • DanielBoone wrote:

    When you deleted the game did you uninstall from Steam and then delete the folder RisingWorld?
    Yes

    DanielBoone wrote:

    You may want to check you have Windows Updated to date.
    Freshly updated

    ...you also don't appear to have any plugins folder?

    I didn't add anything extra, just took what I got from a clean install of the game and PluginAPI. The only thing I might have done differently is extracting that one file, which did have the Index-files in it.
  • Batta wrote:

    DanielBoone wrote:

    When you deleted the game did you uninstall from Steam and then delete the folder RisingWorld?
    Yes

    DanielBoone wrote:

    You may want to check you have Windows Updated to date.
    Freshly updated
    ...you also don't appear to have any plugins folder?

    I didn't add anything extra, just took what I got from a clean install of the game and PluginAPI. The only thing I might have done differently is extracting that one file, which did have the Index-files in it.

    I did a fresh install of the game yesterday which took the plugins folder away. Added it back in again a few minutes ago.

    I am wondering if you may have to restart your pc...... maybe something is sitting in memory causing an issue.
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • If you are still getting the message
    No 'plugin.yml' definition file found for plugin "PluginAPI.jar

    What happens when you delete the PluginAPI.jar file?
    Prehistoric Rising World - 2019
    Dinosaurs existed 65 million years ago and Man evolved 700,000 years ago.
    But what if this was not the case and Dinosaurs and Man actually existed together?

    26th April Environment Files added to page 1
    22nd May Environment Sound V2
    added to page 1
  • The error indicates that the "PluginAPI.jar" file was put into the "plugins" folder (but it doesn't belong there). The game treats every jar file in this folder as a plugin, but the "PluginAPI.jar" is not a plugin, it's the actual API, so that does not work. If you write your own plugin, you don't have to ship the "PluginAPI.jar" with your plugin. Remove the "PluginAPI.jar" from the "plugins" folder and all its plugin subfolders, that should do the trick ;)
  • Batta, nice to put a "face" to the name on the server ..... 8) I ran into a plugin issue causing issues on the server but it seems to have resolved itself. I suspect I had a corrupted file but in your case it seems like you have addressed that. You are using the same plugins I was / am so maybe an older version of one of the files got selected by mistake for download?